<?php
namespace Wovnio\Wovnwp\WpClasses\RequestHandlers;

abstract class AbstractRequestHandler
{
	abstract protected function post($url, $request_headers, $data, $timeout);

	static public function available() {
		return false;
	}

	public function send_request($method, $url, $raw_data, $timeout) {
		$formatted_data = http_build_query($raw_data);
		$compressed_data = gzencode($formatted_data);
		$content_length = strlen($compressed_data);
		$headers = array(
			'Content-Type: application/octet-stream',
			"Content-Length: $content_length"
		);

		switch ($method) {
			case 'POST':
				return $this->post($url, $headers, $compressed_data, $timeout);
				break;
		}
	}
}
