<?php
namespace Wovnio\Wovnwp\WpClasses\RequestHandlers;

require_once('curl_request_handler.php');
require_once('file_get_contents_request_handler.php');

class RequestHandlerFactory
{
	static public function get_best_available_request_handler() {
		$request_handler = null;

		if (CurlRequestHandler::available()) {
			$request_handler = new CurlRequestHandler();
		} else if (FileGetContentsRequestHandler::available()) {
			$request_handler = new FileGetContentsRequestHandler();
		}

		return $request_handler;
	}
}
