<?php
namespace Wovnio\Wovnwp\WpClasses;

use Wovnio\Wovnwp\Constants;

class WovnOptions {
  private static $instance;
  private $options;

  private function __construct()
  {
    $this->options = get_option( 'wovn_options' );
    $this->merge_default();
  }

  public static function get_instance() {
    if (empty(self::$instance)) {
      self::$instance = new WovnOptions();
    }
    return self::$instance;
  }

	public function merge_default() {
    if (empty($this->options['wovn_user_token'])) {
      $this->options['wovn_user_token'] = '';
    }

    if (empty($this->options['wovn_supported_langs'])) {
      $this->options['wovn_supported_langs'] = array();
    }

    if (empty($this->options['wovn_default_lang'])) {
      $this->options['wovn_default_lang'] = Constants::$langs['en']['code'];
    }

    if (empty($this->options['wovn_url_pattern_name'])) {
      $this->options['wovn_url_pattern_name'] = Constants::$url_pattern_names[0];
    }

    if (empty($this->options['wovn_lang_param_name'])) {
      $this->options['wovn_lang_param_name'] = Constants::$default_lang_param_name;
    }
  }

  public function get_all() {
    return $this->options;
  }

  public function get($param_name) {
    return $this->options[$param_name];
  }
}
